Index: palm/trunk/SCRIPTS/.mrun.config.default
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.default	(revision 236)
+++ palm/trunk/SCRIPTS/.mrun.config.default	(revision 246)
@@ -12,175 +12,32 @@
 # Enter your own host below by adding another line containing in the second
 # column your hostname (as provided by the unix command "hostname") and in the
-# third column the host identifier. Depending on your system, the first
-# characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# third column the host identifier. Depending on your operating system, the
+# first characters of the host identifier should be "lc" (Linux cluster), "ibm"
 # (IBM-AIX), or "nec" (NEC-SX), respectively.
-%host_identifier   service100  lcsgih
-%host_identifier   r1*         lcsgih
-%host_identifier   h01*        lcsgih
-%host_identifier   r2*         lcsgib
-%host_identifier   b01*        lcsgib
-%host_identifier   bora        lcmuk
-%host_identifier   cs*         nech
-%host_identifier   hreg*-en0   ibmh
-%host_identifier   hanni*-en0  ibmh
-%host_identifier   breg*-en0   ibmb
-%host_identifier   berni*-en0  ibmb
-%host_identifier   tgg*        lctit
 #
-#%remote_username   <replace by your linux cluster username>     lcmuk parallel
-%tmp_user_catalog  /tmp                                          lcmuk parallel
-%compiler_name     mpif90                                        lcmuk parallel
-%compiler_name_ser ifort                                         lcmuk parallel
-%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit:-D__intel_openmp_bug   lcmuk parallel
-%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
-%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
-%fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian:-I:/muksoft/packages/mpich2/2.1.0.4/include     lcmuk parallel
-%lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib:-L:/muksoft/packages/mpich2/2.1.0.4/lib                    lcmuk parallel
-#%hostfile          $base_directory/.hostfile                    lcmuk parallel
+# The next line is just an example. Add your own line below or replace this line.
+%host_identifier   myhostname  lcmy
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk
-%tmp_user_catalog  /tmp                                          lcmuk
-%compiler_name     ifort                                         lcmuk
-%fopts             -axW:-cpp:-r8:-nbs:-convert:little:endian     lcmuk
-%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
 #
-#%remote_username  <replace by your linux cluster username>      lcmuk trace
-%tmp_user_catalog  /tmp                                          lcmuk trace
-%compiler_name     ifort                                         lcmuk trace
-%fopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-convert:little:endian     lcmuk trace
-%lopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-Vaxlib                    lcmuk trace
+# The next block contains all informations for compiling the PALM code
+# and for generating and running the PALM executable using MPI. Replace all
+# required paths (given in <>) by the respective paths valid on your host.
+# Also replace <hi> by your host identifier (see above) in each line!
+# Compilernames, cpp-options and compiler-options are assuming
+# an Intel-Compiler and mpich2 on this host! Please change
+# appropriately, if you are using a different compiler / MPI-Version.
 #
-%sgi_feature       ice                                        lcsgih parallel
-#%remote_username   <replace by your HLRN username>            lcsgih parallel
-%compiler_name     ifort                                      lcsgih parallel
-%compiler_name_ser ifort                                      lcsgih parallel
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
-%fopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
-%lopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-i-dynamic:-lmpi   lcsgih parallel
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
-#
-%sgi_feature       ice                                        lcsgih parallel debug
-#%remote_username   <replace by your HLRN username>            lcsgih parallel debug
-%compiler_name     ifort                                      lcsgih parallel debug
-%compiler_name_ser ifort                                      lcsgih parallel debug
-%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel debug
-%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel debug
-%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel debug
-%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
-%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel debug
-#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel debug
-#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel debug
-#
-#%remote_username   <replace by your tsubame username>              lctit parallel 
-#%tmp_user_catalog  /work/<replace by your tsubame username>                    lctit parallel
-#%tmp_data_catalog  /work/<replace by your tsubame username>/palm_restart_data  lctit parallel
-%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lctit parallel
-%netcdf_inc        -I:/home2/usr5/mkanda/netcdf-3.6.2/include      lctit parallel
-%netcdf_lib        -L/home2/usr5/mkanda/netcdf-3.6.2/lib:-lnetcdf  lctit parallel
-%compiler_name_ser pgf95                                           lctit parallel
-%compiler_name     mpif90                                          lctit parallel
-%fopts             -r8:-fast:-fastsse                              lctit parallel
-%lopts             -r8:-fast:-fastsse                              lctit parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel
-%compiler_name     mpxlf95_r                                  ibmh parallel
-%compiler_name_ser xlf95                                      ibmh parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
-%dvrp_inc          -I/home/h/nikevita/lib_stable/optimize     ibmh parallel
-%dvrp_lib          -L/home/h/nikevita/lib_stable/optimize:-lDVRP2:-lftp  ibmh parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
-%memory            1630                                       ibmh parallel
-%cpumax            1000                                       ibmh parallel
-%numprocs          4                                          ibmh parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel
-#%email_notification  <replace by your email addres>          ibmh parallel
-#
-#%remote_username   <replace by your HLRN username>           ibmh parallel debug
-%compiler_name     mpxlf95_r                                  ibmh parallel debug
-%compiler_name_ser xlf95                                      ibmh parallel debug
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel debug
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel debug
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel debug
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
-%memory            1000                                       ibmh parallel debug
-%cpumax            1000                                       ibmh parallel debug
-%numprocs          4                                          ibmh parallel debug
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel debug
-#
-#%remote_username   <replace by your HLRN username>           ibmb parallel
-%compiler_name     mpxlf95_r                                  ibmb parallel
-%compiler_name_ser xlf95                                      ibmb parallel
-%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmb parallel
-%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmb parallel
-%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmb parallel
-%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmb parallel
-%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmb parallel
-%memory            1630                                       ibmb parallel
-%cpumax            1000                                       ibmb parallel
-%numprocs          4                                          ibmb parallel
-#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmb parallel
-#
-#%remote_username   <replace by your DKRZ username>           nech parallel
-%compiler_name     sxmpif90                                   nech parallel
-%compiler_name_ser sxf90                                      nech parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%netcdf_inc        -I:/pool/SX-6/netcdf/netcdf-3.6.0-p1/include  nech parallel
-%netcdf_lib        -L/pool/SX-6/netcdf/netcdf-3.6.0-p1/lib:-lnetcdf  nech parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
-%memory            4000                                       nech parallel
-%cpumax            1000                                       nech parallel
-%numprocs          4                                          nech parallel
-%tmp_data_catalog  $WRKSHR/palm_restart_data                  nech parallel
-#%email_notification  <replace by your email addres>          nech parallel
-#
-#%remote_username   <replace by your NEC-username>             neck parallel
-%compiler_name     sxmpif90                                   neck parallel
-%compiler_name_ser sxf90                                      neck parallel
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  neck parallel
-%netcdf_inc        -I:/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/include  neck parallel
-%netcdf_lib        -L/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  neck parallel
-%dvrp_inc          -I/home/DSRC/NC/tatuyama/pub/dvrp          neck parallel
-%dvrp_lib          -L/home/DSRC/NC/tatuyama/pub/dvrp:-lDVRP2:-lftp  neck parallel
-%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
-%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
-%memory            4000                                       neck parallel
-%cpumax            1000                                       neck parallel
-%numprocs          4                                          neck parallel
-#%tmp_user_catalog  <replace by your temporary directory>     neck parallel
-#%tmp_data_catalog  <replace by your temp. dir.>/palm_restart_data   neck parallel
-#
-%source_path       $base_directory/SOURCE                     ibmy parallel
-%compiler_name     mpxlf95_r                                  ibmy parallel
-%compiler_name_ser xlf95                                      ibmy parallel
-%fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
-%memory            1000                                       ibmy parallel
-%cpumax            1000                                       ibmy parallel
-%numprocs          4                                          ibmy parallel
-%remote_username   raasch                                     ibmy parallel
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel
-#
-%compiler_name     mpxlf95_r                                  ibmy parallel trace
-%compiler_name_ser xlf95                                      ibmy parallel trace
-%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
-%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
-%memory            1000                                       ibmy parallel trace
-%cpumax            1000                                       ibmy parallel trace
-%numprocs          4                                          ibmy parallel trace
-%remote_username   raasch                                     ibmy parallel trace
-%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel trace
-%email_notification  raasch@muk.uni-hannover.de               ibmy parallel trace
+%tmp_user_catalog  /tmp                                          <hi> parallel
+%compiler_name     mpif90                                        <hi> parallel
+%compiler_name_ser ifort                                         <hi> parallel
+%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit:-D__intel_openmp_bug   <hi> parallel
+%netcdf_inc        -I:<replace by netcdf include path>           <hi> parallel
+%netcdf_lib        -L<replace by netcdf library path>:-lnetcdf   <hi> parallel
+%fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian:-I:<replace by mpi include path>   <hi> parallel
+%lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib:-L:<replace by mpi library path>                  <hi> parallel
+# if you want to use your own hostfile, uncomment next line
+#%hostfile          $base_directory/.hostfile                    <hi> parallel
+# if you want this host to be used as a remote host, uncomment next line
+#%remote_username   <replace by your username on this host>      <hi> parallel
 #
 %write_binary                true                             restart
@@ -189,14 +46,11 @@
 # INPUT-commands, executed before running PALM - lines must start with "IC:" 
 #----------------------------------------------------------------------------
-#IC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  assign -F cachea:512:1:1 f:BININ
+#IC:
 #
 #----------------------------------------------------------------------------
 # ERROR-commands - executed when program terminates abnormally
 #----------------------------------------------------------------------------
-EC:[[ \$locat = compile && ( \$( echo \$localhost | cut -c1-3 ) = t3e ) ]]  &&  cat  cflist.out
 EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
-EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
-EC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  ls -al
-EC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  ls -al
+EC:pwd; ls -al
 #
 #----------------------------------------------------------------------------
@@ -204,5 +58,4 @@
 #----------------------------------------------------------------------------
 #
-OC:[[ -f CPU_MEASURES/_0000 ]]  &&  cat  CPU_MEASURES/* >> CPU_MEASURE_ALL
 # Combine 1D- and 3D-profile output (these files are not usable for plotting)
 OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
@@ -212,24 +65,6 @@
 OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
 #
-# Extend number of files to be opened simultaneously (sometimes necessary
-# for combine_plot_fields
-#OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  limit -v -f 255 -p 0
-#
-# Combine the 2D- and 3D-plot-data of the subdomains (one file per PE) to
-# one file respectively
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = nec ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-3 ) = dec ]]  &&  combine_plot_fields.x
-OC:[[ \$( echo \$localhost | cut -c1-2 ) = lc  ]]  &&  combine_plot_fields.x
-#
-# Combine parameter files necessary for plot software (iso2d + AVS)
-OC:[[ -f PLOT2D_XY_GLOBAL   ]]  &&  cat  PLOT2D_XY_LOCAL >> PLOT2D_XY_GLOBAL
-OC:[[ -f PLOT2D_XZ_GLOBAL   ]]  &&  cat  PLOT2D_XZ_LOCAL >> PLOT2D_XZ_GLOBAL
-OC:[[ -f PLOT2D_YZ_GLOBAL   ]]  &&  cat  PLOT2D_YZ_LOCAL >> PLOT2D_YZ_GLOBAL
-OC:[[ -f PLOT3D_FLD         ]]  &&  cat  PLOT3D_FLD_COOR >> PLOT3D_FLD
-#
-# tar all 3D-plot-data files in case that compressed output is switched on
-OC:[[ -f PLOT3D_COMPRESSED  ]]  &&  tar cf  PLOT3D_DATA  PLOT3D_DATA_*
+# Collect plot data (2d/3d) into one file
+OC:combine_plot_fields.x
 #
 #----------------------------------------------------------------------------
@@ -264,11 +99,6 @@
 CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
 CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
-DVRP_LOG          out:loc:tr   dv#     $base_data/$fname/MONITORING  _dvrp_log
-DVRP_LOG          out:loc:tra  dvf     $base_data/$fname/MONITORING  _dvrp_log
-PARTICLE_INFO     out:loc:tr   pt#     $base_data/$fname/MONITORING  _prt_info
-PARTICLE_INFO     out:loc:tra  ptf     $base_data/$fname/MONITORING  _prt_info
 #
 DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
-#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
 DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
 DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
@@ -285,7 +115,8 @@
 DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
 #
-PLOT3D_FLD        out:loc:tr   avs     $base_data/$fname/OUTPUT      _fld  fld
-PLOT3D_COOR       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avscor
-PLOT3D_DATA       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avs
-PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT    _prt_dat
+DVRP_LOG          out:loc:tr   dv#       $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf       $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf       $base_data/$fname/MONITORING  _prt_info
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT      _prt_dat
 
Index: palm/trunk/SCRIPTS/.mrun.config.imuk
===================================================================
--- palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 246)
+++ palm/trunk/SCRIPTS/.mrun.config.imuk	(revision 246)
@@ -0,0 +1,291 @@
+#column 1          column 2                                   column 3
+#name of variable  value of variable (~ must not be used)     scope
+#----------------------------------------------------------------------------
+%mainprog          palm.f90
+%base_directory    $HOME/palm/current_version
+%base_data         ~/palm/current_version/JOBS
+%source_path       $base_directory/trunk/SOURCE
+%add_source_path   $base_directory/USER_CODE/$fname
+%depository_path   $base_directory/MAKE_DEPOSITORY
+%use_makefile      true
+#
+# Enter your own host below by adding another line containing in the second
+# column your hostname (as provided by the unix command "hostname") and in the
+# third column the host identifier. Depending on your system, the first
+# characters of the host identifier should be "lc" (Linux cluster), "ibm"
+# (IBM-AIX), or "nec" (NEC-SX), respectively.
+%host_identifier   service100  lcsgih
+%host_identifier   r1*         lcsgih
+%host_identifier   h01*        lcsgih
+%host_identifier   r2*         lcsgib
+%host_identifier   b01*        lcsgib
+%host_identifier   bora        lcmuk
+%host_identifier   cs*         nech
+%host_identifier   hreg*-en0   ibmh
+%host_identifier   hanni*-en0  ibmh
+%host_identifier   breg*-en0   ibmb
+%host_identifier   berni*-en0  ibmb
+%host_identifier   tgg*        lctit
+#
+#%remote_username   <replace by your linux cluster username>     lcmuk parallel
+%tmp_user_catalog  /tmp                                          lcmuk parallel
+%compiler_name     mpif90                                        lcmuk parallel
+%compiler_name_ser ifort                                         lcmuk parallel
+%cpp_options       -D__mpi2:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit:-D__intel_openmp_bug   lcmuk parallel
+%netcdf_inc        -I:/muksoft_64/packages/netcdf/3.6.2/include            lcmuk parallel
+%netcdf_lib        -L/muksoft_64/packages/netcdf/3.6.2/lib:-lnetcdf        lcmuk parallel
+%fopts             -axW:-cpp:-openmp:-r8:-nbs:-convert:little_endian:-I:/muksoft/packages/mpich2/2.1.0.4/include     lcmuk parallel
+%lopts             -axW:-cpp:-openmp:-r8:-nbs:-Vaxlib:-L:/muksoft/packages/mpich2/2.1.0.4/lib                    lcmuk parallel
+#%hostfile          $base_directory/.hostfile                    lcmuk parallel
+#
+#%remote_username  <replace by your linux cluster username>      lcmuk
+%tmp_user_catalog  /tmp                                          lcmuk
+%compiler_name     ifort                                         lcmuk
+%fopts             -axW:-cpp:-r8:-nbs:-convert:little:endian     lcmuk
+%lopts             -axW:-cpp:-r8:-nbs:-Vaxlib                    lcmuk
+#
+#%remote_username  <replace by your linux cluster username>      lcmuk trace
+%tmp_user_catalog  /tmp                                          lcmuk trace
+%compiler_name     ifort                                         lcmuk trace
+%fopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-convert:little:endian     lcmuk trace
+%lopts             -axW:-cpp:-g:-CB:-inline_debug_info:-r8:-nbs:-Vaxlib                    lcmuk trace
+#
+%sgi_feature       ice                                        lcsgih parallel
+#%remote_username   <replace by your HLRN username>            lcsgih parallel
+%compiler_name     ifort                                      lcsgih parallel
+%compiler_name_ser ifort                                      lcsgih parallel
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel
+%fopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel
+%lopts             -g:-w:-xT:-O3:-cpp:-openmp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-i-dynamic:-lmpi   lcsgih parallel
+#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel
+#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel
+#
+%sgi_feature       ice                                        lcsgih parallel debug
+#%remote_username   <replace by your HLRN username>            lcsgih parallel debug
+%compiler_name     ifort                                      lcsgih parallel debug
+%compiler_name_ser ifort                                      lcsgih parallel debug
+%cpp_options       -DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf:-D__netcdf_64bit   lcsgih parallel debug
+%netcdf_inc        -I:/sw/dataformats/netcdf/3.6.2/include          lcsgih parallel debug
+%netcdf_lib        -L/sw/dataformats/netcdf/3.6.2/lib:-lnetcdf:-lnetcdff      lcsgih parallel debug
+%fopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-convert:little_endian  lcsgih parallel debug
+%lopts             -C:-fpe0:-debug:-traceback:-g:-w:-xT:-O0:-cpp:-r8:-ftz:-fno-alias:-no-prec-div:-no-prec-sqrt:-ip:-nbs:-Vaxlib:-lmpi           lcsgih parallel debug
+#%tmp_data_catalog  /gfs1/work/<replace by your HLRN username>/palm_restart_data      lcsgih parallel debug
+#%tmp_user_catalog  /gfs1/tmp/<replace by your HLRN username>                         lcsgih parallel debug
+#
+#%remote_username   <replace by your tsubame username>              lctit parallel 
+#%tmp_user_catalog  /work/<replace by your tsubame username>                    lctit parallel
+#%tmp_data_catalog  /work/<replace by your tsubame username>/palm_restart_data  lctit parallel
+%cpp_options       -Mpreprocess:-DMPI_REAL=MPI_DOUBLE_PRECISION:-DMPI_2REAL=MPI_2DOUBLE_PRECISION:-D__netcdf  lctit parallel
+%netcdf_inc        -I:/home2/usr5/mkanda/netcdf-3.6.2/include      lctit parallel
+%netcdf_lib        -L/home2/usr5/mkanda/netcdf-3.6.2/lib:-lnetcdf  lctit parallel
+%compiler_name_ser pgf95                                           lctit parallel
+%compiler_name     mpif90                                          lctit parallel
+%fopts             -r8:-fast:-fastsse                              lctit parallel
+%lopts             -r8:-fast:-fastsse                              lctit parallel
+#
+#%remote_username   <replace by your HLRN username>           ibmh parallel
+%compiler_name     mpxlf95_r                                  ibmh parallel
+%compiler_name_ser xlf95                                      ibmh parallel
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel
+%dvrp_inc          -I/home/h/nikevita/lib_stable/optimize     ibmh parallel
+%dvrp_lib          -L/home/h/nikevita/lib_stable/optimize:-lDVRP2:-lftp  ibmh parallel
+%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel
+%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel
+%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmh parallel
+%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp   ibmh parallel
+%memory            1630                                       ibmh parallel
+%cpumax            1000                                       ibmh parallel
+%numprocs          4                                          ibmh parallel
+#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel
+#%email_notification  <replace by your email addres>          ibmh parallel
+#
+#%remote_username   <replace by your HLRN username>           ibmh parallel debug
+%compiler_name     mpxlf95_r                                  ibmh parallel debug
+%compiler_name_ser xlf95                                      ibmh parallel debug
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmh parallel debug
+%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmh parallel debug
+%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmh parallel debug
+%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap    ibmh parallel debug
+%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap:-lesslsmp  ibmh parallel debug
+%memory            1000                                       ibmh parallel debug
+%cpumax            1000                                       ibmh parallel debug
+%numprocs          4                                          ibmh parallel debug
+#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmh parallel debug
+#
+#%remote_username   <replace by your HLRN username>           ibmb parallel
+%compiler_name     mpxlf95_r                                  ibmb parallel
+%compiler_name_ser xlf95                                      ibmb parallel
+%cpp_options       -qsuffix=cpp=f90:-WF,-DMPI_REAL=MPI_DOUBLE_PRECISION,-D__netcdf=__netcdf,-D__netcdf_64bit=__netcdf_64bit  ibmb parallel
+%netcdf_inc        -I:/aws/dataformats/netcdf-3.6.0-p1/64-32/include-64 ibmb parallel
+%netcdf_lib        -L/aws/dataformats/netcdf-3.6.0-p1/64-32/lib:-lnetcdf        ibmb parallel
+%fopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmb parallel
+%lopts             -O3:-g:-qfloat=nomaf:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape:-lesslsmp  ibmb parallel
+%memory            1630                                       ibmb parallel
+%cpumax            1000                                       ibmb parallel
+%numprocs          4                                          ibmb parallel
+#%tmp_data_catalog  /fastfs/work/<replace by your HLRN username>/palm_restart_data    ibmb parallel
+#
+#%remote_username   <replace by your DKRZ username>           nech parallel
+%compiler_name     sxmpif90                                   nech parallel
+%compiler_name_ser sxf90                                      nech parallel
+%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
+%netcdf_inc        -I:/pool/SX-6/netcdf/netcdf-3.6.0-p1/include  nech parallel
+%netcdf_lib        -L/pool/SX-6/netcdf/netcdf-3.6.0-p1/lib:-lnetcdf  nech parallel
+%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  nech parallel
+%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  nech parallel
+%memory            4000                                       nech parallel
+%cpumax            1000                                       nech parallel
+%numprocs          4                                          nech parallel
+%tmp_data_catalog  $WRKSHR/palm_restart_data                  nech parallel
+#%email_notification  <replace by your email addres>          nech parallel
+#
+#%remote_username   <replace by your NEC-username>             neck parallel
+%compiler_name     sxmpif90                                   neck parallel
+%compiler_name_ser sxf90                                      neck parallel
+%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  neck parallel
+%netcdf_inc        -I:/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/include  neck parallel
+%netcdf_lib        -L/home/DSRC/NC/tatuyama/pub/netcdf-3.6.0-p1/lib:-lnetcdf  neck parallel
+%dvrp_inc          -I/home/DSRC/NC/tatuyama/pub/dvrp          neck parallel
+%dvrp_lib          -L/home/DSRC/NC/tatuyama/pub/dvrp:-lDVRP2:-lftp  neck parallel
+%fopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4:-pvctl:fullmsg\':-ftrace:-P:stack:-pi:auto:-pi:line=1000  neck parallel
+%lopts             -C:hopt:-Wf:\'-init:stack=nan:-init:heap=nan:-A:idbl4\':-ftrace:-P:stack:-pi:auto:-pi:line=1000:-L/SX/opt/MathKeisan/MK1_6/lib/:-l:fft  neck parallel
+%memory            4000                                       neck parallel
+%cpumax            1000                                       neck parallel
+%numprocs          4                                          neck parallel
+#%tmp_user_catalog  <replace by your temporary directory>     neck parallel
+#%tmp_data_catalog  <replace by your temp. dir.>/palm_restart_data   neck parallel
+#
+%source_path       $base_directory/SOURCE                     ibmy parallel
+%compiler_name     mpxlf95_r                                  ibmy parallel
+%compiler_name_ser xlf95                                      ibmy parallel
+%fopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
+%lopts             -O3:-g:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qtune=pwr4:-qarch=pwr4:-qnosave:-qnoescape    ibmy parallel
+%memory            1000                                       ibmy parallel
+%cpumax            1000                                       ibmy parallel
+%numprocs          4                                          ibmy parallel
+%remote_username   raasch                                     ibmy parallel
+%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel
+%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel
+%email_notification  raasch@muk.uni-hannover.de               ibmy parallel
+#
+%compiler_name     mpxlf95_r                                  ibmy parallel trace
+%compiler_name_ser xlf95                                      ibmy parallel trace
+%cpp_options       -Ep:-DMPI_REAL=MPI_REAL8:-DMPI_2REAL=MPI_2REAL8:-DSCFFT=DZFFT:-DCSFFT=ZDFFT:-D__netcdf:-D__netcdf_64bit  nech parallel
+%fopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
+%lopts             -qnoopt:-g:-C:-qinitauto=FFFFFFFF:-qrealsize=8:-Q:-q64:-qmaxmem=-1:-qnosave:-qnoescape:-qflttrap=overflow::zerodivide::invalid::enable:-qsigtrap  ibmy parallel trace
+%memory            1000                                       ibmy parallel trace
+%cpumax            1000                                       ibmy parallel trace
+%numprocs          4                                          ibmy parallel trace
+%remote_username   raasch                                     ibmy parallel trace
+%tmp_data_catalog  /usr1/users/raasch/work                    ibmy parallel trace
+%tmp_user_catalog  /usr1/users/raasch/work                    ibmy parallel trace
+%email_notification  raasch@muk.uni-hannover.de               ibmy parallel trace
+#
+%write_binary                true                             restart
+#
+#----------------------------------------------------------------------------
+# INPUT-commands, executed before running PALM - lines must start with "IC:" 
+#----------------------------------------------------------------------------
+#IC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  assign -F cachea:512:1:1 f:BININ
+#
+#----------------------------------------------------------------------------
+# ERROR-commands - executed when program terminates abnormally
+#----------------------------------------------------------------------------
+EC:[[ \$locat = compile && ( \$( echo \$localhost | cut -c1-3 ) = t3e ) ]]  &&  cat  cflist.out
+EC:[[ \$locat = execution ]]  &&  cat  RUN_CONTROL
+EC:[[ \$locat = execution ]]  &&  cat  PARTICLE_INFOS/*
+EC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  ls -al
+EC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  ls -al
+#
+#----------------------------------------------------------------------------
+# OUTPUT-commands - executed when program terminates normally
+#----------------------------------------------------------------------------
+#
+OC:[[ -f CPU_MEASURES/_0000 ]]  &&  cat  CPU_MEASURES/* >> CPU_MEASURE_ALL
+# Combine 1D- and 3D-profile output (these files are not usable for plotting)
+OC:[[ -f LIST_PROFIL_1D     ]]  &&  cat  LIST_PROFIL_1D  >>  LIST_PROFILE
+OC:[[ -f LIST_PROFIL        ]]  &&  cat  LIST_PROFIL     >>  LIST_PROFILE
+#
+# Combine all particle information files
+OC:[[ -f PARTICLE_INFOS/_0000 ]]  &&  cat  PARTICLE_INFOS/* >> PARTICLE_INFO
+#
+# Extend number of files to be opened simultaneously (sometimes necessary
+# for combine_plot_fields
+#OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  limit -v -f 255 -p 0
+#
+# Combine the 2D- and 3D-plot-data of the subdomains (one file per PE) to
+# one file respectively
+OC:[[ \$( echo \$localhost | cut -c1-3 ) = t3e ]]  &&  combine_plot_fields.x
+OC:[[ \$( echo \$localhost | cut -c1-3 ) = ibm ]]  &&  combine_plot_fields.x
+OC:[[ \$( echo \$localhost | cut -c1-3 ) = nec ]]  &&  combine_plot_fields.x
+OC:[[ \$( echo \$localhost | cut -c1-3 ) = dec ]]  &&  combine_plot_fields.x
+OC:[[ \$( echo \$localhost | cut -c1-2 ) = lc  ]]  &&  combine_plot_fields.x
+#
+# Combine parameter files necessary for plot software (iso2d + AVS)
+OC:[[ -f PLOT2D_XY_GLOBAL   ]]  &&  cat  PLOT2D_XY_LOCAL >> PLOT2D_XY_GLOBAL
+OC:[[ -f PLOT2D_XZ_GLOBAL   ]]  &&  cat  PLOT2D_XZ_LOCAL >> PLOT2D_XZ_GLOBAL
+OC:[[ -f PLOT2D_YZ_GLOBAL   ]]  &&  cat  PLOT2D_YZ_LOCAL >> PLOT2D_YZ_GLOBAL
+OC:[[ -f PLOT3D_FLD         ]]  &&  cat  PLOT3D_FLD_COOR >> PLOT3D_FLD
+#
+# tar all 3D-plot-data files in case that compressed output is switched on
+OC:[[ -f PLOT3D_COMPRESSED  ]]  &&  tar cf  PLOT3D_DATA  PLOT3D_DATA_*
+#
+#----------------------------------------------------------------------------
+# List of input-files
+#----------------------------------------------------------------------------
+PARIN                    in:job        d3#   $base_data/$fname/INPUT    _p3d
+PARIN                    in:job        d3f   $base_data/$fname/INPUT    _p3df
+TOPOGRAPHY_DATA          in:locopt     d3#   $base_data/$fname/INPUT    _topo
+BININ                    in:loc:flpe   d3f   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_IN in:loc:flpe   prtf  $base_data/$fname/RESTART  _rprt
+DATA_1D_PR_NETCDF        in:locopt     prf   $base_data/$fname/OUTPUT   _pr     nc
+DATA_1D_SP_NETCDF        in:locopt     spf   $base_data/$fname/OUTPUT   _sp     nc
+DATA_1D_TS_NETCDF        in:locopt     tsf   $base_data/$fname/OUTPUT   _ts     nc
+DATA_1D_PTS_NETCDF       in:locopt     ptsf  $base_data/$fname/OUTPUT   _pts    nc
+DATA_2D_XY_NETCDF        in:locopt     xyf   $base_data/$fname/OUTPUT   _xy     nc
+DATA_2D_XY_AV_NETCDF     in:locopt     xyf   $base_data/$fname/OUTPUT   _xy_av  nc
+DATA_2D_XZ_NETCDF        in:locopt     xzf   $base_data/$fname/OUTPUT   _xz     nc
+DATA_2D_YZ_NETCDF        in:locopt     yzf   $base_data/$fname/OUTPUT   _yz     nc
+DATA_3D_NETCDF           in:locopt     3df   $base_data/$fname/OUTPUT   _3d     nc
+DATA_PRT_NETCDF          in:locopt:pe  prtf  $base_data/$fname/OUTPUT   _prt
+#
+#----------------------------------------------------------------------------
+# List of output-files
+#----------------------------------------------------------------------------
+BINOUT                    out:loc:flpe restart   $base_data/$fname/RESTART  _d3d
+PARTICLE_RESTART_DATA_OUT out:loc:flpe prt#:prtf $base_data/$fname/RESTART  _rprt
+#
+RUN_CONTROL       out:loc:tr   d3#     $base_data/$fname/MONITORING  _rc
+RUN_CONTROL       out:loc:tra  d3f     $base_data/$fname/MONITORING  _rc
+HEADER            out:loc:tr   d3#     $base_data/$fname/MONITORING  _header
+HEADER            out:loc:tra  d3f     $base_data/$fname/MONITORING  _header
+CPU_MEASURES      out:loc:tr   d3#     $base_data/$fname/MONITORING  _cpu
+CPU_MEASURES      out:loc:tra  d3f     $base_data/$fname/MONITORING  _cpu
+DVRP_LOG          out:loc:tr   dv#     $base_data/$fname/MONITORING  _dvrp_log
+DVRP_LOG          out:loc:tra  dvf     $base_data/$fname/MONITORING  _dvrp_log
+PARTICLE_INFO     out:loc:tr   pt#     $base_data/$fname/MONITORING  _prt_info
+PARTICLE_INFO     out:loc:tra  ptf     $base_data/$fname/MONITORING  _prt_info
+#
+DATA_1D_PR_NETCDF    out:loc:tr   pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+#DATA_1D_PR_NETCDF    out:loc      pr#:prf   $base_data/$fname/OUTPUT  _pr     nc
+DATA_1D_SP_NETCDF    out:loc:tr   sp#:spf   $base_data/$fname/OUTPUT  _sp     nc
+DATA_1D_TS_NETCDF    out:loc:tr   ts#:tsf   $base_data/$fname/OUTPUT  _ts     nc
+DATA_1D_PTS_NETCDF   out:loc:tr   pts#:ptsf $base_data/$fname/OUTPUT  _pts    nc
+DATA_2D_XY_NETCDF    out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy     nc
+DATA_2D_XY_AV_NETCDF out:loc:tr   xy#:xyf   $base_data/$fname/OUTPUT  _xy_av  nc
+DATA_2D_XZ_NETCDF    out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz     nc
+DATA_2D_XZ_AV_NETCDF out:loc:tr   xz#:xzf   $base_data/$fname/OUTPUT  _xz_av  nc
+DATA_2D_YZ_NETCDF    out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz     nc
+DATA_2D_YZ_AV_NETCDF out:loc:tr   yz#:yzf   $base_data/$fname/OUTPUT  _yz_av  nc
+DATA_3D_NETCDF       out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d     nc
+DATA_3D_AV_NETCDF    out:loc:tr   3d#:3df   $base_data/$fname/OUTPUT  _3d_av  nc
+DATA_PRT_NETCDF      out:loc:pe   prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+DATA_PRT_NETCDF      out:loc:trpe prt#:prtf $base_data/$fname/OUTPUT  _prt    nc
+#
+PLOT3D_FLD        out:loc:tr   avs     $base_data/$fname/OUTPUT      _fld  fld
+PLOT3D_COOR       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avscor
+PLOT3D_DATA       out:loc:tr   avs     $base_data/$fname/OUTPUT      _avs
+PARTICLE_DATA     out:loc:flpe prt#:prtf $base_data/$fname/OUTPUT    _prt_dat
+
Index: palm/trunk/SCRIPTS/mrun
===================================================================
--- palm/trunk/SCRIPTS/mrun	(revision 236)
+++ palm/trunk/SCRIPTS/mrun	(revision 246)
@@ -168,4 +168,6 @@
      # 13/01/09 - Siggi  - totalview on hice/bice can be used in debug mode
      #                     using environment variable totalview
+     # 25/02/09 - Siggi  - cputime-option (-t) is allowed to be omitted for
+     #                     interactive runs
 
 
@@ -253,9 +255,4 @@
     echo "+++ WARNING: return_addres changed to $return_addres !!!!!"
  fi
-# if [[ $return_addres = 210.117.65.1 ]]
-# if [[ $(nslookup `hostname` 2>&1 | grep -c 210.117.65.1) = 1 ]]
-# then
-#    [[ $localhost_realname = gfdl3.yonsei.ac.kr ]]  &&  return_addres=165.132.26.56
-# fi
  return_password=""
  return_username=$LOGNAME
@@ -1973,8 +1970,13 @@
     if (( $cputime == 0 ))
     then
-       printf "\n  +++ cpu-time is undefined"
-       printf "\n  >>> Please type CPU-time in seconds as INTEGER:"
-       printf "\n  >>> "
-       read  cputime  1>/dev/null  2>&1
+       if [[ $do_batch = true ]]
+       then
+          printf "\n  +++ cpu-time is undefined"
+          printf "\n  >>> Please type CPU-time in seconds as INTEGER:"
+          printf "\n  >>> "
+          read  cputime  1>/dev/null  2>&1
+       else
+          cputime=10000000   # NO CPU LIMIT FOR INTERACTIVE RUNS
+       fi
     else
        done=true
@@ -3011,5 +3013,5 @@
              (( ii = $numprocs / $threads_per_task ))
              export OMP_NUM_THREADS=$threads_per_task
-             echo "OMP_NUM_THREADS=$OMP_NUM_THREADS"
+#             echo "OMP_NUM_THREADS=$OMP_NUM_THREADS"
              if [[ $threads_per_task != 1 ]]
              then
